javax.management

## Class JMException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.management.JMException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    MBeanException, OpenDataException, OperationsException, ReflectionException, RelationException

      public class JMException
      extends Exception

  Exceptions thrown by JMX implementations. It does not include the runtime exceptions.
  Since:
    1.5
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JMException()` Default constructor.
    `JMException(String msg)` Constructor that allows a specific error message to be specified.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JMException

          public JMException()

      Default constructor.

    - #### JMException

          public JMException(String msg)

      Constructor that allows a specific error message to be specified.
      Parameters:
        `msg` - the detail message.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2019, Oracle and/or its affiliates. All rights reserved.